package shopping_cart

// 购物车快照数据结构
type CartSnapshot struct {
	Logo               string             `json:"logo"`                 //logo地址
	CombineImage       string             `json:"combine_image"`        //刀版图地址
	RenderImage        string             `json:"render_image"`         //渲染结果图
	TemplateInfo       TemplateInfo       `json:"template_info"`        //模板数据
	ModelInfo          ModelInfo          `json:"model_info"`           //模型的数据
	FittingInfo        FittingInfo        `json:"fitting_info"`         //配件信息
	SizeInfo           SizeInfo           `json:"size_info"`            //尺寸基本信息
	UserDiyInformation UserDiyInformation `json:"user_diy_information"` //用户diy数据
}
type ModelInfo struct {
	ModelJson string `json:"model_json"` //模型json数据
}
type FittingInfo struct {
	FittingJson string `json:"fitting_json"`
}
type TemplateInfo struct {
	TemplateJson string `json:"template_json"` //模板json数据
	TemplateTag  string `json:"template_tag"`  //模板标签
}
type SizeInfo struct {
	Title string `json:"title"`
}
type UserDiyInformation struct {
	Phone   string `json:"phone"`
	Address string `json:"address"`
	Website string `json:"website"`
	Qrcode  string `json:"qrcode"`
	Slogan  string `json:"slogan"`
}
